<?php

namespace Drupal\advanced_file_destination;

use Drupal\Core\Config\Entity\ConfigEntityStorage;
use Drupal\Core\Entity\EntityTypeInterface;

/**
 * Storage handler for AFD Directory entities.
 */
class AFDDirectoryStorage extends ConfigEntityStorage {

  /**
   * {@inheritdoc}
   */
  public function loadRevision($revision_id) {
    // For config entities, the latest version is always the current version
    return $this->load($this->getLatestRevisionId($revision_id));
  }

  /**
   * Gets the latest revision ID for the specified entity.
   */
  public function getLatestRevisionId($entity_id) {
    return $entity_id;
  }

  /**
   * {@inheritdoc}
   */
  public function loadAllRevisions($entity_id) {
    // For config entities, only return the current revision
    $entity = $this->load($entity_id);
    return $entity ? [$entity] : [];
  }
}
